Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1832)

Unified Diff: scripts/data_common.sh

Issue 1639543006: ICU 56 step 6: Check in the pre-built ICU data (Closed) Base URL: https://chromium.googlesource.com/chromium/deps/icu.git@56local_patches
Patch Set: address review comments Created 4 years, 11 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « scripts/copy_data_android.sh ('k') | scripts/euckr_gen.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: scripts/data_common.sh
diff --git a/scripts/data_common.sh b/scripts/data_common.sh
new file mode 100755
index 0000000000000000000000000000000000000000..2e2431f2f3a200e631f5dffa373b15171dedf257
--- /dev/null
+++ b/scripts/data_common.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+# Copyright (c) 2016 The Chromium Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+# This is shared among scripts to build and copy ICU data.
+
+[ -r icudefs.mk ] && \
+ egrep '^## Top-level Makefile.in for ICU' Makefile > /dev/null || \
+ { echo "cd to the ICU build directory before running "$0"." >&2; exit 1; }
+
+TOPSRC2=$(egrep '^top_srcdir =' Makefile | cut -d ' ' -f 3)
+
+if [[ ! "${TOPSRC}/source" -ef "${TOPSRC2}" ]]; then
+ echo "ICU was built from the source in ${TOPSRC2}, but";
+ echo "this script is in ${TOPSRC}.";
+ exit 2
+fi
+
+echo "Working on ICU built from ${TOPSRC2}"
+
+VERSION=$(egrep '^SO_TARGET.*MAJOR' icudefs.mk | cut -d ' ' -f 3)
+echo "The major version of ICU is $VERSION"
« no previous file with comments | « scripts/copy_data_android.sh ('k') | scripts/euckr_gen.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698